Bug 841118 - [abrt] gjs-1.32.0-1.fc17: SearchTable: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.32.0-1.fc17: SearchTable: Process /usr/bin/gjs-console was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:a4630bfb61962f5c13d42689f83...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 04:21 EDT by Peter Verthez
Modified: 2013-08-01 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (179.92 KB, text/plain)
2012-07-18 04:21 EDT, Peter Verthez
no flags Details
File: backtrace (208.46 KB, text/plain)
2012-07-18 04:21 EDT, Peter Verthez
no flags Details
File: maps (36.98 KB, text/plain)
2012-07-18 04:21 EDT, Peter Verthez
no flags Details
File: dso_list (7.90 KB, text/plain)
2012-07-18 04:21 EDT, Peter Verthez
no flags Details
File: var_log_messages (4.46 KB, text/plain)
2012-07-18 04:21 EDT, Peter Verthez
no flags Details

  None (edit)
Description Peter Verthez 2012-07-18 04:21:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-shell/js -c 'const Main = imports.extensionPrefs.main; Main.main(ARGV);' Background_Changer@peter.verthez.skynet.be
crash_function: SearchTable
executable:     /usr/bin/gjs-console
kernel:         3.4.4-5.fc17.x86_64
pid:            21469
pwd:            /home/verthezp
time:           Wed 18 Jul 2012 09:54:40 AM CEST
uid:            1000
username:       verthezp

backtrace:      Text file, 213462 bytes
core_backtrace: Text file, 184243 bytes
dso_list:       Text file, 8085 bytes
maps:           Text file, 37863 bytes
var_log_messages: Text file, 4567 bytes

build_ids:
:8b33feb27b2125997520fdd21c90c42a65e438f1
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:5dd234206476b0387cd251598aa72a2c95c763c5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:508cf66f72e70054a41215f80ed2385c6bb80030
:710b0d8cc36603d66327090defd37c99daa38f28
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:31243d0d107bba586a96433c76c87a26db1e826c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:8f7c190397d7c1f617e66f18f759714662b60367
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:f64b7319b84d426ed547084bdb2577f4f596c18f
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:350920b52e92655cdb258fa5f96fe7004ad07a52
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:73777e822e00ca152ffca281ab0ace0cb498ec48
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:7f2766dbfa08fa29e36e1d1937a9722a51b25074
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:bd70dd83191cfbfe3057eafe6e7282ed5af10af1
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:8883675a02b466547a122a9117742c5771456644
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1a0c09f270adf8398df4362ce0acfafc1f970982
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:3eea2006c01962765387851188091331250d4e7e
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e0f3826dc19569cb1a7b836a3c3938ca8a060a17
:247132297f287226a24c12e683292f5c94013066
:ea99833bdc5b37b7f64a476d1fdb090298a00921
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/verthezp/2

comment:
:I'm trying to write a gnome shell extension.   As part of that I'm making a preference page for which one of the preferences is a file list.   I'm modelling this as a TreeView, with an Add button next to it that opens a FileChooserDialog, and adds the selected file name in the list when OK is pressed.   
:
:The SIGSEGV occurs then when you try to insert the String value into that TreeView.   Apparently there is a difference in behavior between a string (literal) value and a String (Object) value.
:
:The following works:
:        this.store.set_value(iter, 0, "test");
:
:but the following fails and causes gjs-console to abort with SIGSEGV:
:        this.store.set_value(iter, 0, new String("test")); 
:
:As a consequence of this, it is not possible to fill the TreeView with strings that are passed from somewhere else (such as the FileChooserDialog in my example), because strings are always converted to String when passed to another method.   There seems to be no workaround.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=voyager.localdomain
:SF_USER=verthezp
:GIO_LAUNCHED_DESKTOP_FILE_PID=21466
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/verthezp/keyring-rVVAXb/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:CVSROOT=/var/lib/cvs
:GNOME_KEYRING_CONTROL=/run/user/verthezp/keyring-rVVAXb
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=verthezp
:LD_LIBRARY_PATH=/usr/lib64/gnome-shell
:SSH_AUTH_SOCK=/run/user/verthezp/keyring-rVVAXb/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1440,unix/unix:/tmp/.ICE-unix/1440
:USERNAME=verthezp
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-shell-extension-prefs.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:MAIL=/var/spool/mail/verthezp
:QT_IM_MODULE=xim
:LC_COLLATE=C
:PWD=/home/verthezp
:XMODIFIERS=@im=none
:EDITOR=vi
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1434
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GTK_IM_SEPARATE_SHORTCUTS=1
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:CVSUMASK=002
:SHLVL=2
:HOME=/home/verthezp
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=verthezp
:TMP=/tmp
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FBT0jkMwnq,guid=f91ebc613db454b9584eab2200000039
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib64/gnome-shell:
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/verthezp
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-verthezp-bi4PG9/database
:CCACHE_HASHDIR=
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15851                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15851                15851                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/verthezp/.xsession-errors
:pos:	82373
:flags:	0102002
:2:/home/verthezp/.xsession-errors
:pos:	82373
:flags:	0102002
:3:socket:[179197]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[180120]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[179200]
:pos:	0
:flags:	02004002
:9:/tmp/ffii8qkUe (deleted)
:pos:	0
:flags:	0100002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 Peter Verthez 2012-07-18 04:21:48 EDT
Created attachment 598807 [details]
File: core_backtrace
Comment 2 Peter Verthez 2012-07-18 04:21:51 EDT
Created attachment 598808 [details]
File: backtrace
Comment 3 Peter Verthez 2012-07-18 04:21:54 EDT
Created attachment 598809 [details]
File: maps
Comment 4 Peter Verthez 2012-07-18 04:21:56 EDT
Created attachment 598810 [details]
File: dso_list
Comment 5 Peter Verthez 2012-07-18 04:21:58 EDT
Created attachment 598811 [details]
File: var_log_messages
Comment 6 Peter Verthez 2012-07-18 04:30:00 EDT
More background can be found in this mail thread:
https://mail.gnome.org/archives/javascript-list/2012-July/msg00000.html
Comment 7 Fedora End Of Life 2013-07-04 00:18:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 09:08:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.